#
# spec file for package Ebnf2ps
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           Ebnf2ps
Version:        1.0.15
Release:        3.11
Summary:        Peter's Syntax Diagram Drawing Tool
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-unix-devel
BuildRequires:  happy

%description
Ebnf2ps generates nice looking syntax diagrams in EPS and FIG format from EBNF
specifications and from yacc, bison, and Happy input grammars. The diagrams can
be immediatedly included in TeX/LaTeX documents and in texts created with other
popular document preparation systems.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%license LICENSE
%doc CHANGES README.md doc examples
%{_bindir}/ebnf2ps

%changelog
* Tue Jul 10 2018 psimons@suse.com
- Add Ebnf2ps at version 1.0.15.
